Error at 5.8 Adjusting the Toolchain (Last stable version of the book)

Chris Staub chris at beaker67.com
Thu Nov 5 12:37:59 PST 2009


On 11/05/2009 03:28 PM, pieter blomme wrote:
> Hi,
>
> I tried creating a Linux from Scratch using the latest stable version of
> the online LFS-book. My host system is an Ubuntu 9.10 Karmic Koala.
>
> So I arrived at chapter 5.8, adjusting the toolchain and all went ok
> until there.  Some minor errors here and there, but nothing lethal.  I
> completely followed the book up til now.
> Creating the symbolic link seemed to go okay aswell:
> `/mnt/lfs/sources/glibc-build/Versions.all', needed by
> `/mnt/lfs/sources/glibc-build/abi-versions.h'.  Stop.
> make[1]: Leaving directory `/mnt/lfs/sources/glibc-2.10.1'
> make: *** [install] Error 2
>
> Not all that familiar with linux, just basic shell scripting, package
> installingen and experience with a couple of computer languages.  This
> is my first real effort to modify the linux inner-system, so it might
> very well be that an error came along that I did not treat the way I
> should have treated.
>
> Thanks in advance,
> Pieter
>

Aside from what William said about Gawk, you should not have continued 
past this. Apparently Glibc did not compile and did not install, so of 
course the toolchain adjustment failed. You can't just ignore an error 
and try to continue.



More information about the lfs-support mailing list